Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [pip]

pip is a Python package installer

-8
votes
1answer
54 views

I HAVE TRY EVERY THING WITH THIS PIP BROKEN PROBLEM [on hold]

every time in i have this problem i just copy my files and install a fresh copy of kali and work again to update the system and copy redownload the requirement for my application i don't know exactly ...
1
vote
1answer
11 views

Is it possible to cache pip downloads in a http cache server?

I have a virtual linux machine with python2 and pip installed. I want to save bandwidth by caching pip downloads in a http cache server and use this cache server in other machines. The functionality ...
0
votes
1answer
12 views

Install coccigrep on Ubuntu

Coccigrep (https://pypi.org/project/coccigrep/) seems to be a great tool to search through C code. However, when I install it using pip install coccigrep, it isn't found: > coccigrep coccigrep: ...
0
votes
0answers
29 views

pip install + get the errors about Retrying (Retry(total=4, connect=None, read=None, redirect=None))

we are trying to install the following Jinja ( on redhat machine version 7.2 ) pip install Jinja2-2.10-py2.py3-none-any.whl Processing ./Jinja2-2.10-py2.py3-none-any.whl Collecting MarkupSafe>=0....
1
vote
2answers
64 views

python-pip : ImportError: cannot import name main

I am using Debian 9.5 Stretch release. I am having import error while using pip. When I try using pip it says: However I can use python: I have two versions of python installed: 2.7 and 3.5 Output ...
1
vote
1answer
84 views

site-packages directory not found after installing pip3 with apt-get in Ubuntu WSL

I installed python 3 and pip into in Windows System for Linux shell, but it appears I have to find and specify site-packages directory manually if I want to run any python package executables. The ...
1
vote
1answer
214 views

Why does Python's pip reset to version 10.0.1 in every new virtual environment?

tl;dr: Why is pip's version reset to 10.0.1 every time I create a new virtual environment and not automatically cloned from my global 18.0 installation? Every time I create a new virtual environment ...
1
vote
1answer
1k views

How to resolve SSL Certificate Error while installing PIP?

When I'm trying to install PIP using the downloaded package from bootstrap.pypa.io, I'm getting SSL Certificate error. I've followed other posts and tried doing this by disabling the certificate check ...
-1
votes
2answers
135 views

What is the difference on a system level between installing python packages with yum as opposed to pip?

I'm wondering what the difference is between pip, the Python package installer, and yum? As a means of providing some context to my question: I assume the first answer will be because PIP is only ...
0
votes
1answer
971 views

Arch:pip: ImportError: cannot import name 'requests'

Some of my python packages installed with pip had conflicts with another package I tried installing using pacman. So I decided to uninstall all the packages installed with pip. I made a requirements....
1
vote
1answer
89 views

pypi server, setup for automatically downloading packages from client?

I created a private pip storage and share it through /var/www/html, client configured a pip.conf file with trusted-host and index-url configuration, everything works fine when I'm downloading the ...
0
votes
1answer
40 views

upgrading pyudev issue

I'm trying to update pyudev package from 0.15 to 0.16.x or higher, but the following message displays: $ sudo pip install pyudev 0.21.0 -U Collecting pyudev Using cached https://files.pythonhosted....
1
vote
1answer
39 views

Is there a way to restore an uninstalled executable from bin?

I tried upgrading pip3 using su -c 'pip3 install' --upgrade pip' because I got errors and it failed when trying to upgrade it as a normal user. This removed the pre-installed pip from /usr/bin and ...
0
votes
0answers
14 views

python pip: “type -a” shows more alternatives, how to change

I installed a side version of python following these nice how-to how-to-install-latest-python-on-centos python is fine, the centos 6.9 shipped version (2.6.6) is preserved : type -a python python ...
1
vote
1answer
30 views

Is it possible to save binaries that pip compiles while installing a package?

I'm working on a project for a Raspberry Pi 3. One of the things my project requires is cython. Running pip install cython on a Raspberry Pi inside of a virtualenv takes about 40 minutes to complete, ...
21
votes
5answers
2k views

Pip vs Package Manager for handling Python Packages

Python packages are frequently hosted in many distribution's repositories. After reading this tutorial, specifically the section titled "Do you really want to do this" I have avoided using pip and ...
0
votes
2answers
576 views

pip says it is out of date but updating says it is the latest version!

If I try and do the following: pip --version I get this: Traceback (most recent call last): File "/usr/bin/pip", line 6, in <module> from pkg_resources import load_entry_point File "/...
1
vote
2answers
627 views

How to reinstall system python 2.7 on Linux Mint 18.3 WITHOUT reinstalling the OS?

On a clean install of Linux Mint 18.3 I ran the following commands through the terminal: sudo apt install python-pip pip install install --upgrade pip pip install future pip install six Now when I ...
1
vote
1answer
588 views

debian9 can't install python packages with pip3 or uninstall packages with apt

Hello I am a BIG linux noobie that using debian stretch I getting errors when I am trying to install packages or delete packages this is the error I get when I am trying to install packages with ...
2
votes
3answers
4k views

pip upgrade messed up python installation

I'm trying to install a python application I wrote on a freshly created Ubuntu 16.4 virtual instance. I need to install a number of python packages that I previously installed on my own PC. ...
2
votes
1answer
2k views

python easy_install or pip errors about sysconfig

somehow the installation of python is broken in my linux OEL 6.9. pip or easy_install are broken and I cannot do anything. i get the same error on both sides: # easy_install Traceback (most ...
1
vote
2answers
2k views

How to get pip3 without sudo privileges

I need to install pip3, but cannot do it without sudo privileges which I don't have. I have tried wget https://bootstrap.pypa.io/get-pip.py but that gets me the other version of pip.
0
votes
0answers
75 views

Python trace back: import aiml

Looking to run an AIML chatbot: thufir@dur:~/python-aiml-chatbot$ thufir@dur:~/python-aiml-chatbot$ pip install python-aiml Collecting python-aiml Downloading https://files.pythonhosted.org/...
1
vote
1answer
191 views

pip freeze lists packages uninstalled through pip, then reinstalled through Pacman

Because I've heard that it's a very bad idea to install packages through pip instead of through a package manager, I'm trying to identify all the packages that I've installed through pip that are also ...
1
vote
2answers
63 views

Find the difference between two list

I desire to compute the difference of two lists: $ pip list > package1.md Package Version ---------------------------------- --------- alabaster ...
0
votes
0answers
220 views

Pip3 broken on kubuntu 17.10 because of PyInstaller?

So, I'm trying to use pip3 to install packages. It worked fine yesterday, but for some reason it won't work now. The package python3-pip is installed, but when I try to run pip3, it tells me to ...
3
votes
0answers
1k views

AttributeError: module 'lib' has no attribute 'X509_up_ref'

No matter what module I try to install via pip3 install I always get the same error : AttributeError: module 'lib' has no attribute 'X509_up_ref' Have no idea how to solve this one. Anyone had this ...
0
votes
0answers
44 views

Which and whereis fail to find command?

Why is it sometimes that which and whereis fail to find a command? e.g. $ awswl -bash: /Users/geoffrey/Library/Python/2.7/bin/awswl: No such file or directory $ which awswl $ whereis awswl $ I ...
1
vote
1answer
216 views

Installed Electrum does not start and now Electrum-Ltc no longer works - update python/urllib3?

I Installed electrum following the instructions from https://electrum.org/#download Install dependencies: sudo apt-get install python3-setuptools python3-pyqt5 python3-pip Install Electrum: sudo ...
0
votes
0answers
286 views

Needs pycurl - but is already installed

I'm trying to get used to using Fedora, instead of Debian-based OS'es, just for fun a giggles. Though I'm, having some problems installing wfuzz. When I run pip install wfuzz from within the git ...
0
votes
1answer
63 views

Why do so many packages need to be upgraded when I only specify one to apt-get

I use ALT Linux 6, and I need to launch a Python 3 script which uses OpenGL and openCV, I realized that pip is absent in my Python installation which is already dumb), then somehow I figured that pip ...
0
votes
1answer
190 views

pip3 - 'not a supported wheel on this platform' error

I am trying to install SIP through pip3 (which is required to install PyQt5). pip3 search SIP show that there is a package named SIP (4.19.8) - extension module generator for C and C++ libraries. ...
0
votes
1answer
328 views

Installing packages from pip3 always failed because of unknown version

Linux raspberrypi 4.9.78-v7+ #1084 SMP Thu Jan 25 18:05:49 GMT 2018 armv7l GNU/Linux I am on Raspbian Jessie and I had to install python 3.6.4 from source (apparently that is the only way). Then as ...
0
votes
0answers
284 views

installing pip using update alternatives fails to point to the expected pip

I am trying to install python and pip using update-alternatives in order to point out to python2.7 and pip2 respectively. The system is a debian jessie 64 server (debian version is 8.8). I put the ...
0
votes
1answer
2k views

Install pip3 for Python 3.6.3 only

I freshly installed Linux Mint 18.3 on my laptop. Mint 18.3 ships with default Python version 3.5.2. Since, I need to work in Python3.6.3, I grabbed a tar ball from Python.org and installed it with ...
1
vote
2answers
2k views

Installing python 3 on CentOS 6.9 without sudo [closed]

Python 3 installation exits without installing zlib and pip. How can I fix this? edit 2: I cannot use sudo. edit: I followed this guide. After running 'make' the installation exited with: ...
1
vote
1answer
501 views

certbot and awscli require different versions of botocore

I have a small script that generates new Let's Encrypt certificates whenever they are due for renewal and then imports the new certificates to our AWS account so that we can use them to sign ...
2
votes
2answers
429 views

Error during installation over pip

I am tring to install openstack client on Centos 7 virtual machines over pip via this command: pip install python-openstackclient At the end of installation I receive this error: Command "/usr/bin/...
1
vote
1answer
888 views

how to link pip to python3

I am using Debian GNU/Linux 7.11 (wheezy), the default python is 2.7.3 and pip is 1.1 (which I have updated to 9.x). I installed python 3.6 to run some scripts, this error pops out, Traceback (most ...
2
votes
0answers
3k views

pip is not using the proxy set by the environment

I want to set some variables in my system. Using echo $http_proxy also gives me the correct result, but when trying to access internet through terminal, I am getting the previous proxy and not the ...
0
votes
0answers
36 views

After updating SSL, pip and apt-get seem to want to use upstart instead of systemd

I'm on Ubuntu 16.04.1 I updated SSL (I don't remember exactly what I did... something like "sudo apt-get libssl-dev"). It took me a while to realize that this like it broke something. The ironic ...
1
vote
1answer
329 views

Can yum detect dependencies installed via pip?

Environment is CentOS 7.3.1611. I deploy an application that depends on a few packages that seem to have disappeared from the EPEL. These packages are: python-turbocheetah python-cherrypy2 python-...
0
votes
1answer
2k views

Python3.6's Pip Checking wrong Python Version

I've recently upgraded to use Python 3.6 on Ubuntu 16.04. Now I have Python 2.7, 3.5, and 3.6 all on the same system. I've had pip (defaults to v2.7), and pip3 (defaults to v3.5), and I then ...
2
votes
1answer
1k views

PIP saves the day on Fedora 25 for No module named 'PyQt5.QtWebEngineWidgets' error..WHY?

In Fedora 25, I am trying to compile Python 3+ using QT 5 and run into the following error: File "/usr/lib/anki/aqt/qt.py", line 17, in <module> from PyQt5.QtWebEngineWidgets import ...
0
votes
1answer
724 views

Error while Installing Kivy with pip on GalliumOS

I'm installing Kivy on my laptop running GalliumOS and when I do pip install kivy It gives me all of this stuff. I'm new to Linux and Python so I have no idea what any of this really means. ...
2
votes
0answers
4k views

How to install python pip without Internet connection?

My python is 2.7.5, -bash-4.2$ python --version Python 2.7.5 By default it doesn't have python pip. My Linux is Redhat ERHL 7.3. -bash-4.2$ cat /etc/redhat-release Red Hat Enterprise Linux ...
0
votes
1answer
493 views

pip install causes error: bash: /usr/bin/vendor_perl/pip: No such file or directory

I have installed the python-pip package with the pacman package manager as I am using Manjaro Linux. I have cloned this repository where there is a requirements.txt in the folder tango_with_django_19/...
4
votes
1answer
1k views

how to invoke awscli from pip install?

Having installed the AWS CLI with pip install --user awscli what's the syntaxt to invoke awscli? It's listed here: thufir@doge:~$ thufir@doge:~$ pip list DEPRECATION: The default format will switch ...
7
votes
1answer
12k views

How can install specific version of ansible?

How can I install a specific version of Ansible, using Yum or another method? When I try to install version 2.0 it says No package 2.0 available. I checked the epel repo. There are only two rpms, ...
1
vote
1answer
419 views

Attempting to install mopidy-spotify plugin for mopidy using pip

I am attempting to install mopidy-spotify plugin using: sudo pip install -U mopidy-spotify And I am getting a bunch of errors: Collecting mopidy-spotify Using cached Mopidy_Spotify-3.0.0-py2.py3-...